ForwardRequest (Java SE 10 & JDK 10 )
Keywords: org.omg.PortableInterceptor.ForwardRequest class

Module java.corba
Package org.omg.PortableInterceptor

## Class ForwardRequest

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.PortableInterceptor.ForwardRequest

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`

      public final class ForwardRequest
      extends UserException

  org/omg/PortableInterceptor/ForwardRequest.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java10-openjdk/src/jdk10u-jdk-10.0.2+13/src/java.corba/share/classes/org/omg/PortableInterceptor/Interceptors.idl Tuesday, May 18, 2021 at 7:16:08 PM Central European Summer Time

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Object` | `forward` | The new object to forward the request to.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForwardRequest()` |
    `ForwardRequest​(String $reason, Object _forward)` |
    `ForwardRequest​(Object _forward)` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Field Detail

    - #### forward

          public Object forward

      The new object to forward the request to.

  - ### Constructor Detail

    - #### ForwardRequest

          public ForwardRequest()

    - #### ForwardRequest

          public ForwardRequest​(Object _forward)

    - #### ForwardRequest

          public ForwardRequest​(String $reason,
                                Object _forward)